%P
N = 20.87e6;
% Taxa de reproduo
R0 = 4.11;
% Tempo de infeco
t_infective = 3.8;
%Tempo de incubao
t_incubation = 3.7;

% Parmetros da Equao de diferena
alpha = 1/t_incubation;
gamma = 1/t_infective;
beta = R0*gamma;
% Subnotificao
subnot = 0.076;

%tempo de simulao dias
T = 365;
isoat=50;
isoloc=85;

xinit=[N-1,0,1,0,0]';

% #1 - Sem isolamento atual
isol1 = [0 0;
         365 0];
out1=seir(alpha,beta,gamma,N,T,isol1,xinit,subnot);

% #2 - Isolamento atual
isol2 = [0 0;
    10  isoat;
    365 isoat];
out2=seir(alpha,beta,gamma,N,T,isol2,xinit,subnot);

% #3 - Lockdown duas semanas em junho
isol3=[0 0;
    10 isoat;
    100 isoloc;
    114 isoat;
    T isoat];
out3=seir(alpha,beta,gamma,N,T,isol3,xinit,subnot);

% # 4 - Lockdown 7 finais de semana em junho
isol4= [[0 ,  0];
    [10, isoat];
    [100, isoloc]; [102, isoat]; [107, isoloc]; [109, isoat]; [114, isoloc];[116, isoat];
    [121, isoloc]; [123, isoat]; [128, isoloc]; [130, isoat];
    [135, isoloc]; [137, isoat]; [142, isoloc]; [144, isoat];
    [T,  isoat]];
out4=seir(alpha,beta,gamma,N,T,isol4,xinit,subnot);

% # 5 - Lockdown 5 finais de semana (incluindo sexta-feira)

isol5 = [[0 ,  0];
    [10, isoat];
    [100, isoloc]; [103, isoat]; [107, isoloc]; [110, isoat]; [114, isoloc];[117, isoat];
    [121, isoloc]; [124, isoat]; [128, isoloc]; [131, isoat];
    [T,  isoat]];
out5=seir(alpha,beta,gamma,N,T,isol5,xinit,subnot);

% # 6 - Lockdown 5 finais de semana (incluindo sexta-feira) quinzenal
isol6= [[0 ,  0];
    [10, isoat];
    [100, isoloc]; [103, isoat]; [114, isoloc]; [117, isoat]; [128, isoloc];[131, isoat];
    [142, isoloc]; [145, isoat]; [156, isoloc]; [159, isoat];
    [T,  isoat]];
out6=seir(alpha,beta,gamma,N,T,isol6,xinit,subnot);

figure(1)

subplot(221)
plot(out2.ni);
hold on
plot(out3.ni,'r');
axis([0 365 0 4e4] )
grid
title('(a)')

subplot(222)
plot(out2.ni);
hold on
plot(out4.ni,'r');
axis([0 365 0 4e4] )
grid
title('(b)')

subplot(223)
plot(out2.ni);
hold on
plot(out5.ni,'r');
axis([0 365 0 4e4] )
grid
title('(c)')
xlabel('Dias')

subplot(224)
plot(out2.ni);
hold on
plot(out6.ni,'r');
axis([0 365 0 4e4] )
grid
title('(d)')
xlabel('Dias')

A=[out2.ni ;out3.ni ;out4.ni ;out5.ni ;out6.ni];
perc=max(A')/max(max(A'))*100;
disp(perc)
